Bug 139667 - Should Bulleted and Numbered Lists be distinguished clearly from "List Styles" in the UI; consistent use of "List Style" in Writer UI, and stop using the expression "numbering style" ?
Summary: Should Bulleted and Numbered Lists be distinguished clearly from "List Style...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on: 141128
Blocks: Bullet-Numbering-Dialog Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2021-01-16 09:39 UTC by sdc.blanco
Modified: 2021-08-07 09:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
proposed changes to Format and Styles menus (75.36 KB, application/vnd.oasis.opendocument.graphics)
2021-01-21 22:00 UTC, sdc.blanco
Details
planned changes to using numbering help page (129.64 KB, image/png)
2021-03-19 11:17 UTC, sdc.blanco
Details
full version of numbering help page (45.23 KB, image/png)
2021-03-19 12:54 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2021-01-16 09:39:25 UTC
According to Writer Guide 6.4 (published July 2020):

"LibreOffice uses the terms “numbering style” and “list style” inconsistently, but they are the same thing. For example, the tooltip in the Styles deck says List Styles, but its style dialog says Numbering Style." (p. 213)

I. General issues/reasons:  

1. Shouldn't UI be changed so that Writer Guide does not have to include such a note?

2. I believe "List Styles" was introduced to try to avoid confusion with Numbering -- but such confusion continues (bug 135895).

3. The documentation also has "Numbering styles" mentioned in many places.

4.  If there was a (reasonably) consistent UI that refers to "List Styles", then the documentation could follow along.  (where in BZ, I sometimes see "RTM" or read documentation)

5. Maybe there is a slight ambiguity with "Numbered List" (F12, toolbar icon, Format > Lists > Numbered List).  Let "Numbered List"  remain, which should also help to distinguish it from "List Styles"  (and should make it easier to avoid the confusion that appeared in bug 135895 -- and probably elsewhere)

To see the advantage of the proposed change, look at:

https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbering.html

See especially:
a. Would be called "Numbering and List Styles"
b. already have "To Apply Numbering Manually" 
c. the "To Apply Numbering With a Paragraph Style" could be changed to refer only to "list style", which should mark it off as different from something created manually as "numbered list"

6. Bullets and Numbering" toolbar keeps that name.

7. Draw/Impress have their own bullets/numbering dialog - the query here is for "Writer" only.


II. Possible changes.

a. "Numbering" tab --> "Lists" in Bullets and Numbering dialog  ( sw/uiconfig/swriter/ui/bulletsandnumbering.ui )

b. title of "Numbering Style" dialog box --> "List Style"

c.  "Numbering style" tab  --> "List style"  in  "Numbering Style" dialog box 

d. "Outline & Numbering" --> "Outline & List"  for tab name in Paragraph/Paragraph Style dialog

e.  "Numbering" -> "List"  (as section name) on that tab

f.  "Numbering style" -->  "List style"  in "Numbering" section
( sw/uiconfig/swriter/ui/numparapage.ui )

g. Other dialogs using "Numbering Style"  (have not tried to see where)
sw/uiconfig/swriter/ui/templatedialog16.ui
sw/uiconfig/swriter/ui/templatedialog2.ui 
cui/uiconfig/ui/numberingoptionspage.ui

h. Menu: 
 Format > "Bullets and Numbering"  -->  Format > "Bullets and Lists" 


III.  These changes would have implications for following Documentation pages:

https://help.libreoffice.org/7.2/en-US/text/shared/01/06050000.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/06050100.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/06050200.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/06050300.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/06050500.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/06050600.html
https://help.libreoffice.org/7.2/en-US/text/swriter/00/00000405.html
https://help.libreoffice.org/7.2/en-US/text/shared/00/00040500.html
https://help.libreoffice.org/7.2/en-US/text/swriter/01/05130004.html
https://help.libreoffice.org/7.2/en-US/text/swriter/01/05030800.html
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbering.html
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbered_lists.html
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbered_lists2.html
https://help.libreoffice.org/7.2/en-US/text/shared/01/05030000.html
Comment 1 Heiko Tietze 2021-01-19 12:10:29 UTC
Bullets are one kind of list styles. So if we rename "Bullets and Numbering" it has to be "List Style". 


> git grep --files-with-matches "Bullets and Numbering"
cui/inc/tipoftheday.hrc
cui/uiconfig/ui/bulletandposition.ui
include/svx/strings.hrc
officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterReportWindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
sd/uiconfig/sdraw/ui/bulletsandnumbering.ui
svx/uiconfig/ui/sidebarlists.ui
svx/uiconfig/ui/sidebarparagraph.ui
sw/uiconfig/swriter/ui/bulletsandnumbering.ui
swext/mediawiki/help/wikiformats.xhp
Comment 2 sdc.blanco 2021-01-20 12:05:09 UTC
(In reply to Heiko Tietze from comment #1)
>Bullets are one kind of list styles. So if we rename "Bullets and Numbering"
>it has to be "List Style".
1. "List Style"  is unfortunate choice in relation to "Toggle Numbered List" (F12) and "Toggle Bulleted List" (Shift-F12) (which are not Styles)

"Lists" seems better  (but will require some evaluation of consequences in Format menu)

2. Use "List Style" (never with adjectives) consistently in UI, tooltips, documentation, when referring to List styles.      

Reason:  A list style can have any kind of mixture of number, bullet, graphic. The "name" of a list style is "conventional", UI does not need to get involved in those personal choices.  There is just "list style".

3. Use adjectives for direct formatted lists.  

Reason:  Gives a clear, simple linguistic marker to distinguish direct-formatted lists from list styles.  

At present there is:  Numbered List, Bulleted List
There could, in principle, be "Lettered List", etc.

4. Do not use phrase "numbering style" (in UI, tooltips, documentation).  There is List Style, Paragraph Style, etc., no "numbering style".

If necessary, refer to different types of numbered lists, or "numbering types" 

5.  Adjustment to IIa. (in comment 0)  Change "Numbering" label to "Numbered" or "Ordered" (because there are letters) in Format - List (Bullets and Numbering) - Numbered (Numbering)  

("Enumerated" as label seems too obscure.)

6.  Also need to evaluate where in source code "numbering style" appears, and whether change to "list style" is appropriate (because sometimes numbering style is used for 1.2.3. vs. 1)2)3))  (i.e., need to evaluate each case, not just "search-replace")
Comment 3 Dieter 2021-01-21 15:54:02 UTC
(In reply to sdc.blanco from comment #2)
I agree to all of your remarks with a little modification of point 4. We shouldn't use phrase "numbering style" (I agree). But since we have "Numbered Lists" and "Bulleted Lists" it is logic to me that we also have "Numbered List Style" and "Bulleted List Style" (at least in documentation).
Comment 4 sdc.blanco 2021-01-21 20:19:52 UTC
(In reply to Dieter from comment #3)
> We shouldn't use phrase "numbering style" (I agree).
Good.

>  But since we have "Numbered Lists" and "Bulleted Lists" it is logic to me
> that we also have "Numbered List Style" and "Bulleted List Style" 
> (at least in documentation).
Please elaborate your logic.

Meanwhile, some counter-arguments.

1. In relation to documentation: 
   -  cannot find any instances of "Numbered List Style" or 
      "Bulleted List Style" in the current online help.
   -  "numbered list styles"  and "bulleted list styles" appear only one time
       each in Writers Guide 6.4  (i.e., not a big revision task)

2.  In light of previous point:  why introduce a new phrase that is likely to create unnecessary confusion with "style" and "list style" ?

3. (from point 5, comment 0): "Numbered List" and "Bulleted List" should remain unchanged. 

4. (from point 4, comment 2): Refer to different "types" of "Bulleted list" or different "types" of "Numbered list".  But "types" does not have to be a "technical word" (see next point).

5. (from point 3, comment 2): Use adjectives to refer to lists.  For example, Roman Numbered List, alphabetic numbered List.  In that case (in documentation), one could refer to different "kinds" of numbered list. 

In sum, the idea is:   The UI, tooltips and documentation should only use the word "style" in relation to LO Styles (Paragraph, Character, List, etc.)

Possibly this principle is a little artificial or stiff, but then there is no ambiguity about when/whether the UI/documentation is referring to Styles -- as opposed to direct formatting.

-- and points 4 and 5 show that it is not so difficult -- in documentation -- to refer to different types or kinds of bulleted or numbered lists -- nor is it a handicap that one should not use styles in those situations.
Comment 5 sdc.blanco 2021-01-21 22:00:46 UTC
Created attachment 169081 [details]
proposed changes to Format and Styles menus

(In reply to sdc.blanco from comment #2)
> "Lists" seems better  (but will require some evaluation of consequences in
> Format menu)
1. Attached is proposal for Format menu "before" and "after".

2. Plus the "direct format lists" should be removed from Styles menu.

(UI reason: clear, consistent separation of Styles and direct formatting)
(UX reason: multiple comments in BZ about how users need to learn styles and the difference between direct formatted lists and styled lists - so -- UI should facilitate that ideal by not mixing these things up.)
Comment 6 sdc.blanco 2021-01-23 08:42:34 UTC
The positive responses motivated more careful analysis.

This change may be quite simple (in terms of what needs to be changed).

Here is a revised proposal with ‟all" changes.  
  (replaces Section II in comment 0)

  (changes marked with Roman Uppercase letters.)


1. Should be possible to keep "Bullets and Numbering" as label for direct-formatting dialog box and its “command”.

 Seems like a “good thing”  
    - assume that the label is familiar/well-known
    - keeps the same name as “Bullets and Numbering” toolbar
    - reduces need for changes in source code and documentation.

2.  For 'Bullets and Numbering' dialog box

     A. "Numbering" tab --> "Numbered" 

        ( sw/uiconfig/swriter/ui/bulletsandnumbering.ui )

3.  For "List Style" dialog box (currently labeled "Numbering Style")

     B. title of "Numbering Style" dialog box --> "List Style"

     C. "Numbering style" tab  --> "Numbered"

     ( sw/uiconfig/swriter/ui/templatedialog16.ui )

4.  For Paragraph/Paragraph Style dialog

      D. "Outline & Numbering" tab name --> "Outline & List"   

      (sw/uiconfig/swriter/ui/templatedialog2.ui)

      E.  "Numbering" -> "List"  (as section name) on that tab

      F.  "Numbering style" -->  "List style"  in "Numbering" section

      ( sw/uiconfig/swriter/ui/numparapage.ui )

That’s it. 

(plus a few places where ‟numbering style” is used in tooltips or labels, and should be modified. will put those in a separate comment)
Comment 7 sdc.blanco 2021-01-23 09:00:14 UTC
Continuing from previous comment...about use of "numbering style" in UI.

Here is an overview of all the cases (I could find) where "numbering style" should be changed.   

( Conclusion: relatively small/manageable number of changes )

I.  Tooltips 
Many of them involve this phrase:

‟Select the numbering style that you want to use.”

when selecting numbering for footnotes, line numbers, lists, and the dropdown box shows the different numbering schemes, 1,2,3, One,Two,Three, i,ii,iii

Would change it to:  ‟Select the numbering scheme that you want to use”

NB. "scheme" might be a better word than "type" and "kind" (see points 4 and 5 in comment 4) when referring to different numbering schemes (and gives a way to avoid the word "style" when referring to different schemes).

Changes Needed in: 

“Customize” tabs for "Bullets and Numbering" ...
   ( cui/uiconfig/ui/numberingoptionspage.ui ) 

...and "Numbering Style"
 ( cui/uiconfig/ui/picknumberingpage.ui )

‟Chapter Numbering” dialog        
( sw/uiconfig/swriter/ui/outlinenumbering.ui )   
( sw/uiconfig/swriter/ui/outlinenumberingpage.ui )

"Footnote/Endnote settings" dialog
( sw/uiconfig/swriter/ui/footnotesendnotestabpage.ui ) 
( sw/uiconfig/swriter/ui/footnotepage.ui )

"Line numbering" dialog
( sw/uiconfig/swriter/ui/linenumbering.ui )


II.  Labels, etc. 

- For Style Inspector

   "Numbering Style Name" --> "List Style Name"
     ( sw/inc/inspectorproperties.hrc )

- For one TotD

  "To automatically number table rows in Writer, select the relevant column, then apply a numbering style from List Styles”  →

"To automatically number table rows in Writer, select the relevant column, then apply a List style.”      
               
   ( cui/inc/tipoftheday.hrc )
Comment 8 sdc.blanco 2021-01-27 11:25:52 UTC Comment hidden (obsolete)
Comment 9 Heiko Tietze 2021-01-28 13:33:43 UTC
From the design meeting:

   + Bullets are also sort of list, see https://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/Lists#Bulleted_lists or https://www.w3schools.com/HTML/html_lists_unordered.asp (Sascha)
   + maybe "Apply Lists..." for the menu entry (includes transform and 
     create cases) and "Unsorted List" and "Sorted List" for toolbar 
     entries (Numb. List also include Letters) (Sascha)

Thanks for taking it, Seth.
Comment 10 sdc.blanco 2021-01-28 14:40:13 UTC
To avoid misunderstanding -- and to give others a chance to comment...here is what I understand is being proposed.

(In reply to Heiko Tietze from comment #9)

A. Menu entries

> "Apply Lists..." for the menu entry (includes transform and create cases) 
Is this response in relation to proposal in comment 5?
where now the menu item "Lists" should be changed to "Apply Lists..." ?
(fine with me)

And no objection to my proposal to remove the DF lists from Styles menu?

B. Toolbars

> "Unsorted List" and "Sorted List" for toolbar 
That is...

Tooltip becomes:

"Toggle Bulleted List" --> "Toogle Unsorted List"

"Toggle Numbered List" --> "Toggle Sorted List" 

And in Customize:

"Bullets" --> "Unsorted List"
"Numbering" --> "Sorted List"

and while we are on the Toolbar (see bug 139724) -- would now propose "Select Outline Scheme" as label.

C. Tab labels in Dialog boxes.

1.  Leave "Bullets and Numbering" as dialog box name?  

(for now, I say "yes" because does not entail so many changes in UI and documentation -- but also -- (a) may be advantage to keep the label that is well-known and (b) gives a LO convention to communicate clearly about "List Style" versus "Bullets and Numbering")

2. What about "tab" labels in current Bullets and Numbering dialog?
Was not commented, but generalizing -- wouldn't the proposal be:

"Bullets" -> "Unsorted"
"Numbering" -> "Sorted"

(personally I like them, but my public opinion is: 

  no strong opinion either way, as long as the change does not create 
  continuing problems (i.e., persistent confusion, beyond initial discomfort 
  and protest that comes when something familiar changes.  The latter abates 
  with times and practice.)

Perhaps this is another reason to keep "Bullets and Numbering" as the name for the "dialog box" with the expectation that "Unsorted" and "Sorted" will become familiar without persistent difficulty.
Comment 11 sdc.blanco 2021-01-28 15:27:03 UTC
(In reply to sdc.blanco from comment #10)
> And no objection to my proposal to remove the DF lists from Styles menu?
My mistake. The Styles menu uses the List Styles.  

Wouldn't it better if these labels were "consistent"?
so that the connection between menu item and List style is clear?

For example, at present:

   Styles > Alphabet Uppercase List  

is functionally equivalent to clicking 

   "Numbering ABC"          

in the List Styles sidebar.

(does not matter to me whether it is menu or list style name that changes, but consistency would help)

fwiw - a mild argument for using List Style names in the Styles menu.
  a) can drop the repetitive "List" for each item
  b) recently the character style part of the menu was changed to be consistent with the actual character style names.
  c) ergo, the "list style" section of the Styles menu should use the "styles" names of the List styles.   
  (I assume no one is advocating to change the current names of the liststyles.)

( I also assume that I can use Unicode in menubar.xml to put in the Bullet symbol: • )
Comment 12 Dieter 2021-01-29 08:44:12 UTC
I had a look at Chicago Manual of Style 17th edition. I citate 6.130: "There are two basic types of lists: (1) unordered, in which the items are introduced by a bullet or other such marker or by nothing at all, and (2) ordered, in which items are introduced by numbers or letters."

So "unordered" and "ordered" seems to be a common distinction and therefore I wonto to propose this. So my question is, if "sorted" and "unsorted" is also common? To which manual style do you refer, Heiko?(BTW: This is again anexample, why we need a style guide as reference for our decisions).

(In reply to sdc.blanco from comment #10)
> B. Toolbars 
> > "Unsorted List" and "Sorted List" for toolbar 

"Unordered List" and "ordered list"

> Tooltip becomes:
> "Toggle Bulleted List" --> "Toogle Unsorted List"
> "Toggle Numbered List" --> "Toggle Sorted List"
Toggle Unordered List
Toggle Ordered List
 
> > And in Customize:
> "Bullets" --> "Unsorted List"
> "Numbering" --> "Sorted List"
Unordered List
Ordered List

> C. Tab labels in Dialog boxes.
> 1.  Leave "Bullets and Numbering" as dialog box name? 


For consisteny in would be:

A Paragraph Dialog 
Tab "Outline and Numbering" => Outline and Lists
Numbering (within that Tab)=> Lists
Numbering Style => List Style

B Bullets and Numbering Dialog
If we change current wording we should make it consistent. We have to rework documentation and I think it is less work and more userfriendly, if we do it only once.
Comment 13 sdc.blanco 2021-01-29 09:43:15 UTC
(In reply to Dieter from comment #12)
> "Unordered List" and "ordered list"
If forced to choose, I would take "unordered/ordered" over "unsorted/sorted".

Also, HTML uses <ul> and <ol>

> To which manual style do you refer, Heiko?(BTW: This is again
> an example, why we need a style guide as reference for our decisions).
American Psychological Association, world's largest social-scientific association, produces APA Style (now in 7th edition).  This style is used particularly in psychological and educational research, and some other social scientific disciplines, including some HCI. In relation to this bug, it is interesting to note that they use:

Bulleted lists, Numbered lists, Lettered lists.  

My point: 
  - Style manuals exist so that a publisher can enforce a particular style. 
  - no one "universal" or "dominant" style exists (afaik)
  - Styles can be wildly different (even within a discipline).
  - Seems hopeless/pointless for LO to try to nominate a preferred.

Independent of style manuals, it is a "good" thing to use a term, such as "Unordered" that might be readily recognized as familiar.
Comment 14 sdc.blanco 2021-01-29 09:45:07 UTC Comment hidden (obsolete)
Comment 15 Dieter 2021-01-29 10:08:29 UTC
(In reply to sdc.blanco from comment #14)
> (In reply to Dieter from comment #12)
> > For consistency 
> with what?

With the idea that we are talking about list, if that includes numbered/ordered and bulleted/unorderd lists

> > Paragraph Dialog 
> > Tab "Outline and Numbering" => Outline and Lists
> > Numbering (within that Tab)=> Lists
> Take a look at the Paragraph (Style) dialog box.
> In that context, only possible to set one list.

You're right, so "List" instead of "Numbering"
Comment 16 sdc.blanco 2021-01-29 10:55:24 UTC
(In reply to Dieter from comment #15)
> With the idea that we are talking about list, if that includes
> numbered/ordered and bulleted/unorderd lists
Thanks for the clarification. 

Yes. iiuc.

  List  (as generic term)
    Unordered List
      Bulleted List  (as generic term)
                     (where LO also has a default "Bulleted List")
        (specific bulleted list schemes)
      Graphic List (or include as a bulleted list scheme)
    Ordered List
        Numbered List
           (specific numbering schemes)    
        Alphabetic List  (could be argued as specific numbering scheme...)

But while we are looking at consistency.  There is one (admittedly nitpicky) point where some improvement seems possible (but I have no good proposal). 

The basic issue is:  "Outline" is used to refer specifically to the "level" of a numbering and it is also used as a general category to refer to a particular scheme of using those levels -- where LO uses both meanings in the UI.

See here: 

1.  "Outline" in Paragraph refers to "Outline Level" for Paragraph 
    (i.e., the specific meaning). Meanwhile, "List" in a separate 
    section in that tab has its own "Outline Level" (specific meaning),
    which is hidden in that dialog, but can be edited in the 
    (soon to be named) List Style dialog.

   (so far so good - no problems.)

2.  Meanwhile, there is the "Outline" tab in Bullet and Numbering dialog.
    Now the meaning has shifted to the "generic" meaning.

   (afaict) that tab simply offers some predefined numbered lists, where 
    someone has customized the levels above outline level 1.

On the one hand, it seems all right to use "Outline" in the Bullets and Numbering tab. Otoh, for a newcomer -- it is not easy/obvious to know that there is only an obscure indirect connection in their meaning.  Seems better to use different labels (rather than give the possibility to speculate about their connection by using the same label).

I tried, without success, to find an alternative for "Outline" in Bullets and Numbering.  (I have seen "hierarchical" sometimes). It seemed to me that it would be an advantage to change the "Outline" tab (if a better name could be found) so that it would not "clash" with the "Outline Level" in Paragraph.

(I acknowledge that "Outline Level" in Paragraph is what can be used to make an "Outline" in the Bullets and Numbering tab -- but to "know" that (in the sense of Erkenntnis) requires knowing the underlying conceptual model), where I believe the double use of "outline" (specific and generic) does not help in gaining that enlightenment (Aufklärung). (that is the motivation for this "nitpick")

It seems all right to leave as is -- if a better idea is not available for now -- but now I will write out the coming appearance of the Bullets and Numbering tabs (assuming that "Ordered" is accepted) in case it gives someone an inspiration for a better label.

Unordered  Ordered  Outline  Image  Position  Customize
Comment 17 Dieter 2021-01-29 11:19:16 UTC
(In reply to sdc.blanco from comment #16)

>     Ordered List
>         Numbered List
>            (specific numbering schemes)    
>         Alphabetic List  (could be argued as specific numbering scheme...)
At least regarding to Chicago Manual of Style it is named "Lettered List" (same in your comment 13)

> But while we are looking at consistency.  There is one (admittedly nitpicky)
> point where some improvement seems possible (but I have no good proposal). 
> 
> The basic issue is:  "Outline" is used to refer specifically to the "level"
> of a numbering and it is also used as a general category to refer to a
> particular scheme of using those levels -- where LO uses both meanings in
> the UI.

That's funny; I had similar thoughts today. I know, that a lot of new users use list as chapter numbering (I did it also some years ago). And perhaps the different meaning of "outline" is one reason for confusion.

So I agree, that we should think about different word in context of lists. But I also think, that we should discuss this in a new bug report.
Comment 18 sdc.blanco 2021-01-29 11:24:01 UTC
(In reply to Dieter from comment #17)
> > The basic issue is:  "Outline" is used to refer specifically to the "level"
> > of a numbering and it is also used as a general category to refer to a
> > particular scheme of using those levels -- where LO uses both meanings in
> > the UI.
> So I agree, that we should think about different word in context of lists.
> But I also think, that we should discuss this in a new bug report.
Maybe bug 139724 can be extended to that purpose.
Comment 19 sdc.blanco 2021-01-30 12:36:37 UTC
If Dieter's proposal (comment 12) to use "Ordered" and "Unordered" is accepted, then the following patches are ready to go.  They do the following:

1.  Change Toolbar tooltips to "Toggle Ordered List" and "Toggle Unordered List"
    (and change labels in Customize dialog)
     https://gerrit.libreoffice.org/c/core/+/110137

2.  Change label on "Numbering Style" dialog box to "List Style" dialog box 
    and tabs in dialog box to "Ordered" and "Unordered"  
    (plus some tooltips for these and other tabs)
     https://gerrit.libreoffice.org/c/core/+/109890

3.  For 'Bullets and Numbering' dialog box. 
    Change tabs to "Ordered" and "Unordered"   
    (plus some tooltips for these and other tabs)
     https://gerrit.libreoffice.org/c/core/+/109891

4.  For Paragraph/Paragraph Style dialog box
    Change "Numbering Style" to "List Style"
    "Numbering" -> "List"
    (plus some tooltips)
     https://gerrit.libreoffice.org/c/core/+/109886


Still to do:  
  * Menu modifications (comment 5, comment 9, comment 11)
  * tooltip modifications (comment 7)
Comment 20 Commit Notification 2021-02-02 09:14:14 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77d96238449c117037a13f8b76d560ad060568ec

tdf#139667 change "Numbering" labels to "List" in Paragraph dialogs

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2021-02-02 09:15:24 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1665d9b85282eda60d3cc09c0f74c83ad156d6e5

tdf#139667 updating of "Numbering Style" dialog to "List Style"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2021-02-02 09:15:34 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd99fbf15fff51fb1b7febbbc4a333a14900d253

tdf#139667 Numbering->Ordered / Bullets->Unordered in dialog + tooltips

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2021-02-02 09:16:44 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c7db49e2b492bed87ceeffd85545695cf90b3fd

tdf#139667 change labels for Bullets icon and Numbering icon

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 sdc.blanco 2021-02-02 09:29:28 UTC
The patches in comment 20 through comment 22 change the labelling as discussed here (and added several tooltips) to these dialog boxes:

  Bullets and Numbering
  List Style 
  Paragraph Style 

I believe they should help to distinguish (both for new and experienced users) when one is working with a "List Style" and when one is working with Bullets and Numbering.

Feedback/comments are welcome.  Adjustments can be considered.
Comment 25 sdc.blanco 2021-02-02 09:58:32 UTC
(In reply to Commit Notification from comment #23)
> 
> tdf#139667 change labels for Bullets icon and Numbering icon
Take a look at your current interface (before this patch).

In particular:

(1)  Format > Lists > {Bulleted List, Numbered List]

(2)  Right-click in a paragraph, then:  Bullets and Numbering > {Bullet List, Number List}

(3)  Styles > {Bullet List, Number List}

Did you know that the commands in (1) are direct formatting, while those in (2) and (3) are List styles?

After this patch, (1) will be "Unordered List" and "Ordered List", while (2) and (3) will use the actual names shown in the List Style sidebar.

I think it is a "good" thing that DF lists are labeled distinctly different from List Styles in the menus.

I have suggested (comment 11) that maybe the names that appear in Styles sidebar should also appear in the menus.  This particular patch is a small, first taste of what it might look like.

If no objections appear, then I will continue to modify the labels in the Styles menu so that the actual Styles sidebar names are used in the Styles menu (and in the tooltips for the icons in the Formatting (Styles) toolbar.

Alternatively, one could consider renaming the List Styles (e.g., use the labels in the Styles menu).  For example, change "Numbering IVX" in Style sidebar so that it is "Roman Uppercase List" (like Styles menu).

Not advocating for a change in List Style labels.  The labels in Siderbar seem adequate to me.  Just trying to make the UI transparent and informative about when DF is being used in a list and when a particular List Style is being used.
Comment 26 Commit Notification 2021-02-03 14:05:36 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cc91f7043af51507b4857f35af6bbf39f67e5ccb

tdf#139667 new "Outline & Numbering" label in Paragraph dialog + tooltip

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2021-02-03 14:25:58 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/efc67a685f608fe32066875fb549c91b52d0bc6b

tdf#139667 add tooltip to Outline & List tab in Paragraph Style dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 sdc.blanco 2021-02-03 14:29:41 UTC
(In reply to Commit Notification from comment #26)
> new "Outline & Numbering" label in Paragraph dialog + tooltip
The Paragraph Style dialog is changed already to "Outline & List" tab, this patch does the same for the Paragraph dialog.

More generally -- about dialog boxes --

1.  "Bullets and Numbering" dialog and "List Style" dialog 
     now have "Ordered" and "Unordered" tabs.  
         (looks good imo)

2.  (In reply to Heiko Tietze from comment #9)
> From the design meeting:
> + maybe "Apply Lists..." for the menu entry 
Still not certain this is good for menu entry, but might be a better label in Paragraph (Style) dialog.  

To all: look in (new) Paragraph and/or Paragraph Style dialog --  how about ---

"List" -->  "Apply List Style"  (as section label)

(or if you have the older version:   "Numbering" -->  "Apply List Style" )

(also, note that "Outline Level" and "List Style" have gotten tooltips in the Paragraph and Paragraph Style dialogs (if there are suggestions for changes).
Comment 29 sdc.blanco 2021-02-03 14:51:45 UTC
Questions about menu/toolbar appearances.  

First three points are mostly to highlight already-discussed changes.  Fourth/last point raises a question for feedback. 

With the latest patches:

1.  Format > Lists > Unordered List  / Ordered List

    (looks good imo)

2.  in Formatting toolbar:  Toggle Ordered List  / Toggle Unordered List

    (good)

3.  in Formatting (Styles) toolbar:

notice (for lists) that tooltip for first two are:

Bullet • List Style
Numbering 123 List Style

(reflecting their Sidebar names)

the tooltips reflect their 2017 names.

My intention -- unless objections are raised -- is to give all those icons their Sidebar names, with "List Style" at the end.

Reasons: 
 (a) no ambiguity about relation between icon and List Style in Sidebar.
 (b) gets same form as the Paragraph and Character style icons on toolbar


4. In Styles menu  and context menu (right-click document, Bullets and Numbering)

Notice: 

   Bullet • List Style
   Numbering 123 List Style

Question about number 4.

    What do you think about the phrase "List Style" as part of menu item?

    keep? drop? modify?

    NB.  These labels would be "default" (initial setting), because renaming 
         is possible through Customize dialog.  

(personally, can see good arguments for having or not having "List Style", so no strong preference in either direction)

If you want, you can use Customize dialog to try out different appearances (e.g., to remove "List Style" and see what it looks like).
Comment 30 Dieter 2021-02-03 16:50:01 UTC
(In reply to sdc.blanco from comment #29)
> Question about number 4.
>     What do you think about the phrase "List Style" as part of menu item?
>     keep? drop? modify?

For me the main criteria (in general) should be, if entry refers to a list or a list style. So I would always add "List" or "List Style" to the entry.
Comment 31 sdc.blanco 2021-02-05 01:19:07 UTC Comment hidden (obsolete)
Comment 32 Dieter 2021-02-05 07:19:43 UTC Comment hidden (obsolete)
Comment 33 sdc.blanco 2021-02-05 09:24:49 UTC Comment hidden (obsolete)
Comment 34 Dieter 2021-02-05 14:33:11 UTC
Perhaps also the following change is needed

From View => Toolbars => Bullets and Numbering
to View => Toolbars => List (or perhaps Lists)
Comment 35 sdc.blanco 2021-02-06 20:16:08 UTC
(In reply to sdc.blanco from comment #28)
> "List" -->  "Apply List Style"  (as section label)
https://gerrit.libreoffice.org/c/core/+/110448
Comment 36 Commit Notification 2021-02-10 20:30:23 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3f8347d466ac8803b1a019491907e73e4aa63e38

tdf#139667 modify tooltips that include "numbering style"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 sdc.blanco 2021-02-10 20:40:08 UTC
Here is a search for all help pages that use the phrase “numbering style”. At present it returns 17 files (most of them with only a single instance that needs to be changed). Two of them are already addressed in another (not-yet-submitted) patch. 

https://opengrok.libreoffice.org/search?project=help&full=%22numbering+style%22&nn=1&si=full

About half of the instances refer to tabs in dialog boxes or toolbar icons whose names been changed by patches in response to this ticket. The others reflect a change to the tooltip. 

The intention is to modify these files, so that "numbering style" is not used.
Along with some of the help pages noted in comment 0, Part III, this should be all the necessary changes in documentation as a result of changes in the labels in the dialog boxes.
Comment 38 Dieter 2021-02-10 20:56:40 UTC
That's really a huge amount of work, you are doing here. Thanks for that. Reading bug 135895 today I realized, that we (so probably you) also have to change the phrases "Toggle Numbered List" and "Toggle Bulleted List" in LO Help

Examples:
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbered_lists2.html
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbered_lists.html?&DbPAR=WRITER&System=WIN
Comment 39 Commit Notification 2021-02-11 11:40:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f7e48c00fc879158576c36c4bfcfdc0440f201d

Related: tdf#139667 allow TabControl tabs to always show tooltips

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2021-02-11 13:04:39 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b8b09233de0fddc9d89b7c2e84394a7767ee342d

tdf#139667 update help pages for List Style, Ordered and Unordered
Comment 41 sdc.blanco 2021-02-13 15:18:42 UTC
The commit in Comment 39 made it possible for tabs to have tooltips again (for gen), a feature that was apparently lost in 2008. 

This proposed patch -- https://gerrit.libreoffice.org/c/core/+/110791 -- revises the first attempt (comment 22) to make tooltips for the Bullets and Numbering dialog (Format > Bullets and Numbering) -- plus adds one to the "Unordered" tab.

The main change is to make the tooltips start with action verbs, to explain what can be done in the tab.  (These tooltips also appear in the List Style dialog)
Comment 42 sdc.blanco 2021-02-17 09:59:22 UTC
(In reply to Dieter from comment #34)
> Perhaps also the following change is needed
> 
> From View => Toolbars => Bullets and Numbering
> to View => Toolbars => List (or perhaps Lists)
https://gerrit.libreoffice.org/c/core/+/110929

Note: this change would have consequences for following help pages:

https://help.libreoffice.org/7.2/en-US/search?P=%22Numbering+bar%22

because "Bullets and Numbering bar" would be called "List bar" (if the patch is submitted).

(In terms of "retranslation", it affects 6 pages (paragraphs), not 8, because of embedding from one page to another, and some of these (e.g., Bullets On/Off) need changes anyway, so perhaps the amount of retranslation is sufficiently small to be accepted/acceptable. 

In that case, the relevant question becomes whether references to the "Bullets and Numbering bar" should disappear from help to become "List bar").

(either way - changed or not changed - is ok with me)
Comment 43 Dieter 2021-02-17 11:26:30 UTC
(In reply to sdc.blanco from comment #42)
> In that case, the relevant question becomes whether references to the
> "Bullets and Numbering bar" should disappear from help to become "List bar").
> 
> (either way - changed or not changed - is ok with me)

Ialso want do decide this. I've just thought, that the decision has already been made. One advantge of "List" instead of "Bulets and Numbering" is that less people would think, that "Numbering" means also "Chapter Numbering".
Comment 44 Commit Notification 2021-02-18 22:24:40 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c08c1d920268c389f784218417ab4554d2781bf

tdf#139667 adjust tooltips and labels for diverse List Styles

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2021-02-18 22:25:52 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77663f16bb5951e7ca96975c06235bf3eb7385f5

tdf#139667 Bullet and Numbering tooltips, use verbs and add missing one

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2021-02-18 22:27:04 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be28e10f6fd758b5f811900468b7d3791025485d

tdf#139667 adjust Condition tab dialog for Text Body to "list"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2021-02-18 22:27:14 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/99f8092e8b6949c519b8f03c1134b7d3e0282ef7

tdf#139667 update "numbering style" in footnote/endnote / linenumbering
Comment 48 Commit Notification 2021-02-19 15:44:14 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/07062a1f83cff429a389101a7781632827c8a7a0

tdf#139667 update to "ordered" and "unordered" on Writer list styles
Comment 49 Commit Notification 2021-02-19 17:45:18 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/9b39373c0559094e6b8b47cd740a7d5ddeb6a107

tdf#139667 update  insert "Page Count", including numbering style
Comment 50 Commit Notification 2021-02-23 07:58:20 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/161b4195bea8029ca7ac1bde6f7e984e04d8be29

tdf#139667  "List" -> "Apply List Style" in Paragraph and PS Dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2021-02-23 07:58:35 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/5fccd7a6566e728a82c64a47d34c0ee07a137cff

tdf#139667 change embed in Bullets and Numbering dialog
Comment 52 Commit Notification 2021-02-23 07:59:49 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/06cbf65b61d9a0fc1eb946c9fff4108c25819f27

tdf#139667 update numbering style in header/footer, caption help
Comment 53 Commit Notification 2021-02-23 08:06:03 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dff09e9021171c7a14bc751d17e27ceb211239cc

tdf#139667 final set of tooltip adjustments about lists and numbering

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2021-02-24 08:45:33 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ee3befa87f442e39396cee768c73a07f9faf8632

tdf#139667  update help in relation to Bullets and Numbering dialog
Comment 55 Commit Notification 2021-02-25 22:57:21 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ae135a1767acad73ac3fafe4af3ac941d0f69bc8

related to tdf#139667 update shortcut keys for Writer F12, Shift+F12
Comment 56 Commit Notification 2021-02-25 22:59:33 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ea1198386289e62c63639b708d2c5db0d9401b19

tdf#139667 update howtoget for Ordered tab - Bullets and Numbering
Comment 57 Commit Notification 2021-02-27 13:01:41 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/e7269be0d25541ede0e3dde5244371c7418324e1

related to: tdf#139667  update "Numbering on/off" to Toggle Ordered
Comment 58 Commit Notification 2021-03-04 16:25:44 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ac3932ba6679a519bdee68fc3b750a0faa85f6f2

tdf#139667 update chapter numbering help
Comment 59 sdc.blanco 2021-03-04 16:42:41 UTC
STATUS overview

DONE
1.For List Styles, Styles toolbar tooltips for icons and Styles menuitems show same name as List Styles sidebar
2. Formatting Bar, tooltips show “Toggle Ordered List” and  “Toggle Unordered List”
3. Tabs in Bullets and Numbering dialog got new labels (Ordered and Unordered) and all tabs got explanatory tooltips
4.  “Numbering Style” dialog renamed to “List Style”
5. Paragraph and Paragraph Style Dialog:  appropriate tooltips, change control label “Numbering” to “List Style” and control label to “Apply List Style”
6. Tooltips in various dialogs (throughout entire UI) have been modified to avoid “numbering style” or refer now to “ordered” and “unordered” lists.
7. tip of the day/Style Inspector/Tools - Customize dialog  updated  (waiting to be submitted)
8. Format > List  >  Unordered List / Ordered List  (and recently “No List” appeared to replace “No Numbering” as radio button see bug 115965 ).
9. context menu for Text now refers to “List” instead of Bullets and Numbering, position of “No List” was changed in context menu (see bug 140058), and names of List Styles correspond to names in Styles bar.
10. Most help pages have been updated.

TODO
1. Finish updating help, mostly in relation to Paragraph (Outline & List), Numbering Style/List Style  (after remaining issues in comment 60) are decided/implemented).
2. Corrections to tab tooltips in List Style dialog ( https://gerrit.libreoffice.org/c/core/+/111776 )
Comment 60 sdc.blanco 2021-03-04 16:49:55 UTC
Remaing Issues to Address/Decide 

1. Renaming “Bullets and Numbering” bar to “List”  bar  
   -Not in original proposal, but raised in comment 34, see also comment 42

   -About 6 help pages would need small modifications because of the name 
    change,  often just to change the name of “Bullets and Numbering bar” to 
   “List bar”. 

   This gives a rough impression of what would be affected:

   https://help.libreoffice.org/7.2/en-US/search?P=%22Numbering+bar%22

2.  Paragraph/Paragraph Style dialog:  Using “Level and List” as tab name  
    see bug 140178

3.  Possible Modifications to Format menu  (proposal in attachment)
    
    a.  Move "Lists" to be after "Paragraph" and before "Bullets and Numbering"
    b.  Possibly "No List" should be moved to "top" to Lists submenu.
Comment 61 sdc.blanco 2021-03-07 15:28:22 UTC
(In reply to sdc.blanco from comment #60)
> 3.  Possible Modifications to Format menu 
>   Move "Lists" to be after "Paragraph" and before "Bullets and Numbering"
https://gerrit.libreoffice.org/c/core/+/112077


>  Possibly "No List" should be moved to "top" to Lists submenu.
Is there already. 

No other proposals for changing the Format (or Styles) menu in relation to "Lists"
Comment 62 Commit Notification 2021-03-10 20:30:11 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6f34f698bbcd8ac81620c2ce1684aa24fa846a4

tdf#139667 change position of Lists submenu in Format menu

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2021-03-10 20:49:35 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/fd581dcbffc52f43ce8dfa5b9a72a78d042fc5e3

tdf#137084 (related to: tdf#139667) update changes in Format menu
Comment 64 Dieter 2021-03-13 17:12:02 UTC
Seth, thank you for your improvements. I can see them in yersterdays master build. I have one additional proposal:
For me it is more logical, if "Continue previous numbering" appears after (or before) "Restart Numbering" and - to be in line with the other entries - it should be "Continue Previous Numbering".
Comment 65 sdc.blanco 2021-03-14 11:25:59 UTC
(In reply to Dieter from comment #64)
> For me it is more logical, if "Continue previous numbering" appears after
> (or before) "Restart Numbering" and - to be in line with the other entries -
Note that command name may soon be "Add to Previous List" (bug 140579) (with capitalization according to UI guidelines).

Agree that some adjustment is appropriate.

Chose to put it after "restart numbering" 
(Reason: to be parallel with context menu).

But could see good arguments for other solutions.

(Will also follow this ordering convention for toolbars. In that connection, even though "continue numbering" is not visible by default . But I understand from bug 
126689, comment 10, that these should now be made visible?  I can do both things at the same time, if this is the intention.)

@Heiko, Ok?
Comment 66 Dieter 2021-03-14 12:56:15 UTC
(In reply to sdc.blanco from comment #65)
> Chose to put it after "restart numbering" 
> (Reason: to be parallel with context menu).
I'm fine with that.

> (Will also follow this ordering convention for toolbars. In that connection,
> even though "continue numbering" is not visible by default . But I
> understand from bug 
> 126689, comment 10, that these should now be made visible?

See bug 126689 with the request to make icon available in toolbar. So for me this proposal is already accepted.
Comment 67 sdc.blanco 2021-03-14 17:50:21 UTC
This patch changes position of ".uno:ContinueNumbering" in toolbars and menubars, and makes it visible in toolbars.

https://gerrit.libreoffice.org/c/core/+/112420
Comment 68 Heiko Tietze 2021-03-15 09:08:25 UTC
(In reply to sdc.blanco from comment #65)
> @Heiko, Ok?

(In reply to Dieter from comment #66)
> ... for me this proposal is already accepted.

Me too. Please apply all related changes until release of 7.2 (Hard English string & UI freeze Jul 5-11). Renaming and moving commands is a burden for users.
Comment 69 Commit Notification 2021-03-15 11:30:54 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/1e37bc66a03bbc4b096147addcebfbe41030557c

tdf#139667 (tdf#135895) improvements/updating to making lists
Comment 70 Commit Notification 2021-03-15 14:41:22 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0e4e4f4994424085ebd33b8d4333fdef454cc52

tdf#139667 tdf#126689 "Add to Previous List" in menus and toolbars

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 sdc.blanco 2021-03-16 00:15:26 UTC
(In reply to Heiko Tietze from comment #68)
> Please apply all related changes until release of 7.2 (Hard English
> string & UI freeze Jul 5-11). Renaming and moving commands is a burden for
> users.
imo --this bug can be closed after the following three proposed changes are resolved.

1.  bug 140178
2.  bug 140579 (patch is made, but I am unsure if this was decided)
3.  Renaming “Bullets and Numbering” bar to “List”  bar
      - Not in original proposal (point 6, comment 0, proposed to leave it alone).
      - Proposal raised in comment 34 (see also comment 42)
      - I am willing to change it (patch is made) or to leave it but would be
        grateful for a decision, so that I can finish updating the help pages 
        that refer to the "Bullets and Numbering Bar"

It should be possible to finish everything within a few days after these three points are resolved.
Comment 72 Heiko Tietze 2021-03-16 08:21:15 UTC
(In reply to sdc.blanco from comment #71)
> It should be possible to finish everything within a few days after these
> three points are resolved.

The topic became a bit confusing, please poke me or others if you need support. 

Again, my point is that renaming and moving UI elements has to be an exception. It's acceptable for one particular area with a major release. But not repeatedly.

And be assured your effort is welcome. It makes sense to be clear with list styles.
Comment 73 sdc.blanco 2021-03-16 08:40:54 UTC
(In reply to Heiko Tietze from comment #72)
> The topic became a bit confusing
As long as the interface has not become confusing... (-:
 
> Again, my point is that renaming and moving UI elements has to be an exception.
Noted.  Understood implicitly to work that way.

> please poke me or others if you need support. 
comment 71 was the most recent attempt. The three issues there are small, specific, limited. Just need some clarity/consensus about what to do with the three labels mentioned there, and I can finish the rest.
Comment 74 Commit Notification 2021-03-18 00:06:07 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/367a4f5cf3d78adaeec36715a37286a6a2cea694

tdf#139667 update numbering paragraphs; joining lists; chapter numbering
Comment 75 Commit Notification 2021-03-18 10:44:01 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d652495a0f5626ba02369289c0ad2cb341f9015d

tdf#139667 update Styles Inspector and tip of the day to "List Style"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 sdc.blanco 2021-03-19 08:28:50 UTC
@Dieter, I think the question of changing the Bullets and Numbering bar is left to us to decide. It would be good to get a resolution now, so that I can finish up this ticket.

In comment 0, point 6, I suggested to leave the name alone. Probably the reasons were (a) (not broken, don't fix it) name is familiar, (b) (cost-benefit analysis) did not see name as source of confusion or difficulty that justified changing the name, when it also results in a some work to change 5 or 6 help pages (which then forces 70 translators to redo the paragraphs where the changes were made).

Recently Heiko (comment 72) clarified a relevant principle “renaming … UI elements has to be an exception” and a consideration “Renaming and moving commands is a burden for users” (comment 68).

I oscillate between “No objection” and “Not worth the trouble” on the name change question. I can see the value of consistency (the toolbar works on all lists, whether with a style or not), but on the other hand, I do not see that value as being greater than the just-mentioned reasons for not changing.

Also, there is a “Bullets and Numbering” icon on the Bullets and Numbering toolbar, which opens Bullets and Numbering dialog (which also edit list styles, as noted in bug 140752), so it seems less important, right now, whether the toolbar is called “List” or “Bullets and Numbering”).

Maybe (in the future) the “Bullets and Numbering” dialog should be called “List” (in the same way that there are “Paragraph” and “Character” dialogs together with “Paragraph Style” and “Character Style” dialogs). Then it might make more sense to call the toolbar “List”. But it seems better to get more clarification about the interactions between “Bullets and Numbering dialog and list styles (bug 140752 and bug 140612), before making decisions about possible name changes.

Summa summarum: personally I lean to “no change” (right now), but if you have some good reasons to change now, then I am willing to do the work.
Comment 77 Dieter 2021-03-19 08:33:33 UTC
(In reply to sdc.blanco from comment #76)
> Summa summarum: personally I lean to “no change” (right now), but if you
> have some good reasons to change now, then I am willing to do the work.

I agree. Let's keep the name at it is. But thanks for asking.
Comment 78 sdc.blanco 2021-03-19 11:17:02 UTC
Created attachment 170567 [details]
planned changes to using numbering help page

@Dieter - attached is a screenshot of part of:
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbering.html
but edited/updated now.  (blue font means "link" to another page).

The screenshot has strikethrough on one paragraph and part of another, to show what I think should be deleted, but wanted to check that you agree. (The paragraph seems to repeat the exact same idea of the preceding paragraph).  

More generally -- because you and Timur work regularly with "list"/numbering bug reports - maybe you can see other improvements that should be made here.  (Timur already has a list in bug 135895, comment 44), so I will try to make all these modifications in the same patch.  Thanks.
Comment 79 Dieter 2021-03-19 12:05:59 UTC
Thanks for asking. My thought about it:

1. I agree in deleting the fifth bullet.
2. I would extend the third bullet with some informations from the fifth bullet, for example "To change the bullets or numbering for one or more paragraphs, select something of the pararaph(s), choose, ...“
3. I wouldn't delete the last sentence, but make clear, that it is about the Bullet and Numbering icon in the toolbar => "click the Numbering and Bullets icon in the toolbar"
Comment 80 sdc.blanco 2021-03-19 12:54:39 UTC
Created attachment 170568 [details]
full version of numbering help page

Thanks Dieter.  Last questions.

1. I think the "Changing the Chapter Level...." section should be removed.  
(among other things, it obscures the relation between "To Apply Manually..." and "To Apply ... with Paragraph Style").  
(Not shown in attachment, look at the current help page.)

2. Attached is a "full version" of proposed update.  Comments?

Some new additions:
- added paragraph at the top about using Tools - Chapter Numbering for headings instead of manual formatting.
- procedure for find out what is in same list.

Never 100%, but if it gives some paragraphs that are useful in responding to bug reports, then "success" criterion is achieved.
Comment 81 sdc.blanco 2021-03-19 13:11:28 UTC
@Dieter - forgot to make clear that the section proposed for deletion appears already in other help pages  (search with "Changing the Chapter Level" to find them).  I would also propose to add it to:

https://help.libreoffice.org/7.2/en-US/text/swriter/guide/chapter_numbering.html

(which still have to be updated)
Comment 82 Commit Notification 2021-03-19 14:04:34 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4ceb9e1c9bc4a9961ece57131f8d9db569998568

tdf#139667 access and apply corrections to Bullets and Numbering
Comment 83 Dieter 2021-03-19 14:34:09 UTC
@ Seth, I would recommend to avoid the phrase "chapter level" in context of lists, because - as you've written - chapter numbering is different from numbering lists.

So my proposals are
1. Delete "Changing the Chapter Level of Numbered and Bulleted Lists" [1]
2. Delete the link as related topic in "Chapter Numbering" [2] 
3. Make the sentence "If you want numbered headings use Tools - Chapter Numbering instead of numbering manually" in your help about "Numbering and Paragraph Styles" more visible => put in in a box
4. Add "List Styles" [3] as related topic to "Numbering and Paragraph Styles"
5. Integrate the following aspects of the "Changing the Chapter Level of Numbered and Bulleted Lists" part into the previous part "To Apply Numbering Manually"
- To move a numbered or bulleted paragraph up one chapter level, click within the paragraph, and then press Shift+Tab.
- To insert a tab between the number or bullet and the paragraph text, click at the beginning of the paragraph, and then press Ctrl+Tab.



[1] https://help.libreoffice.org/7.2/en-GB/text/swriter/guide/insert_tab_innumbering.html?&DbPAR=WRITER&System=WIN

[2] https://help.libreoffice.org/7.2/en-GB/text/swriter/guide/chapter_numbering.html?&DbPAR=WRITER&System=WIN

[3] https://help.libreoffice.org/7.2/en-GB/text/swriter/01/05130004.html?&DbPAR=WRITER&System=WIN
Comment 84 sdc.blanco 2021-03-19 14:47:28 UTC
(In reply to Dieter from comment #83)
> I would recommend to avoid the phrase "chapter level" in context of
I just discovered that "chapter level" should be "outline level" (see bug 124582, which I reopened).

Perhaps that section should remain here -- but placed at the end of the page, after the Paragraph Style section, because it applies both to manual and paragraph style lists.

> 2. Delete the link as related topic in "Chapter Numbering" [2] 
Agree.
> 3. Make the sentence "If you want numbered headings use Tools - Chapter
> Numbering instead of numbering manually" in your help about "Numbering and
> Paragraph Styles" more visible => put in in a box
Ok. 
> 4. Add "List Styles" [3] as related topic to "Numbering and Paragraph Styles"
Good idea.
> 5. Integrate the following aspects of the "Changing the Chapter Level of
> Numbered and Bulleted Lists" part into the previous part "To Apply Numbering
> Manually"
In light of recent discovery, maybe better to leave it as one section.
Comment 85 Dieter 2021-03-19 15:02:04 UTC
(In reply to sdc.blanco from comment #84)
> Perhaps that section should remain here -- but placed at the end of the
> page, after the Paragraph Style section, because it applies both to manual
> and paragraph style lists.
I agree, but then you can delete second bullet in the part "To Apply Numbering Manually"

> > 5. Integrate the following aspects of the "Changing the Chapter Level of
> > Numbered and Bulleted Lists" part into the previous part "To Apply Numbering
> > Manually"
> In light of recent discovery, maybe better to leave it as one section.
Yes, and change "Chapter" to "Outline"
Comment 86 sdc.blanco 2021-03-20 13:08:35 UTC
@Dieter, I would be grateful for your evaluation of a few more help pages (related to the one we just discussed in comment 85)

With bug 107573, comment 25, help pages for "Tools - Chapter Numbering" were updated, and I think there are some additional "outline level" problems.

Questions.

1. "Numbering" 
https://help.libreoffice.org/7.2/en-US/text/swriter/01/06060100.html

In section "Level" and section "Paragraph Style"

The just mentioned patch added "chapter and" before "outline level". I think this is wrong, do you agree?

For example, for Level: 

"Click the chapter and outline level"  -> "Click the outline level"

2. "Chapter Numbering"
https://help.libreoffice.org/7.2/en-US/text/swriter/01/06060000.html

same issue as previous one.

Before "tip" 
"paragraph styles (1-10) are assigned to the corresponding chapter and outline number levels (1-10)"

I think "chapter and" should be reverted.

3.  "Create Master Document" 
https://help.libreoffice.org/7.2/en-US/text/shared/01/01160300.html

In "separated by" section

I think this needs to be reverted.  That is:

"every chapter level 1." -> "every outline level 1."


Not part of the original patch, but related.

4.  "Creating Index or Table of Contents Entries" 
https://help.libreoffice.org/7.2/en-US/text/swriter/guide/indices_toc.html

In "tip" that starts:

"LibreOffice creates the table of contents entries based on the chapter level"

"chapter level" should be "outline level"

Thanks.
Comment 87 sdc.blanco 2021-03-20 16:33:00 UTC
(In reply to sdc.blanco from comment #84)
> I just discovered that "chapter level" should be "outline level" (see bug
> 124582, which I reopened).
I disagree.  It should be "level in list hierarchy" (see bug 141128).

The section should (could) still remain in: https://help.libreoffice.org/7.2/en-US/text/swriter/guide/using_numbering.html

but should have the title:

"Changing the Level of Paragraphs in the List Hierarchy"

and

"chapter level" --> "level in its list hierarchy"
Comment 88 Commit Notification 2021-03-20 19:32:01 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c3f2229a7c8280641dadc7f7cf8e5f1cee1e9a06

tdf#139667 remove incorrect related topic
Comment 89 Dieter 2021-03-21 11:45:10 UTC
(In reply to sdc.blanco from comment #86)
> @Dieter, I would be grateful for your evaluation of a few more help pages
I will try to do so, but please take into account, that I'm not a native speaker.

> 1. Numbering
> https://help.libreoffice.org/7.2/en-US/text/swriter/01/06060100.html
> "Click the chapter and outline level"  -> "Click the outline level"
I agree (It's the outline level of the whole document, as it is pointed out in Numbering section of "Chapter Numbering" help page)

And for Parapgraph Style: "Select the paragraph style that you want to assign to the selected outline level"

> 2. "Chapter Numbering"
> https://help.libreoffice.org/7.2/en-US/text/swriter/01/06060000.html
> same issue as previous one.
I agree. Should be "are assigned to the corresponding chapter outline levels (1-10)" (Here I would also delete "number" in "outline number levels", because we use "outline level" in the "numbering" help page and it's also possible to assign letters to a heading level.

> 3. "Create Master Document" 
> https://help.libreoffice.org/7.2/en-US/text/shared/01/01160300.html
> "every chapter level 1." -> "every outline level 1."
I agree

> 4.  "Creating Index or Table of Contents Entries" 
> https://help.libreoffice.org/7.2/en-US/text/swriter/guide/indices_toc.html
> In "tip" that starts: "LibreOffice creates the table of contents entries based on the chapter level"
> "chapter level" should be "outline level"
I think the whole sentence isn't easy to understand for a non-experienced user. Perhaps it would be better to formulate something like: "LibreOfficeDev creates the table of contents entries based on the outline levels of the document. You can define them with Tools -> Chapter Numbering". But again, I'm not a native speaker.
Comment 90 Commit Notification 2021-03-21 15:12:43 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ccdf35c657d4d1a36f0c30db201a06a1125ada84

tdf#139667 (and tdf#107573) chapter/outline corrections
Comment 91 sdc.blanco 2021-03-21 15:56:51 UTC
(In reply to Dieter from comment #89)
> I will try to do so, but please take into account, that I'm not a native
> speaker.
Thanks Dieter.  The points were more "conceptual" than "linguistic". Good to have a second opinion.
 
> (1-10)" (Here I would also delete "number" in "outline number levels",
Good point, which inspired other clarifications in that paragraph.
 
> I think the whole sentence isn't easy to understand for a non-experienced
Also a conceptual issue here. Outline level is used to determine what appears in a table of contents. So the sentence is accurate (once "chapter" is reverted to "outline"). [Chapter Numbering dialog is usually not important in this case. While it can be used to set outline level, the default "Heading N" styles already have outline levels, and also possible to set outline level in paragraph (style) dialog.]
Comment 92 Commit Notification 2021-03-22 23:57:21 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4541ce4f4fa76a678774eca523178c77eebcef9e

tdf#139667 elaborate meaning of List Style; differentiate from DF
Comment 93 Commit Notification 2021-03-23 00:25:44 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/84f9a1f7cf18a6ddb94ef9c0779fd7e7554a5117

tdf#139667 update "Outline & Numbering" to "Outline & List"
Comment 94 Commit Notification 2021-03-25 22:55:50 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6f068cc382d085ade3ef7177cc06859fcce1cf2c

tdf#139667 tdf#141128 (tdf#124582 tdf#135895) num. lists,levels,styles
Comment 95 Commit Notification 2021-03-26 00:25:12 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/a21d3cc17c6990acb7125e24039e33bc4840b1e8

tdf#139667 one last numbering style to repair
Comment 96 Commit Notification 2021-03-27 08:26:57 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e49da2a34036f00b8bb16f9e01a633b9f061e266

tdf#139667 add or improve List Style tab tooltips

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 sdc.blanco 2021-03-30 22:21:25 UTC
@Dieter - I think it is time to close this bug as fixed.  "Numbering Style" does not appear any more in the help pages or the UI. All the updated help pages are online now. but you are good at finding loose ends -- if you want to make a final check. Thanks.
Comment 98 Dieter 2021-04-16 06:46:30 UTC
(In reply to sdc.blanco from comment #97)
> @Dieter - I think it is time to close this bug as fixed. 
I agree. I couldn't finde anything, that remains. Thanks for your great work
=> VERIFIED FIXED